#include ONCE "window9.bi"

function ToolBarSeparator (iHwndToolBar As Integer, iPositionButton As Integer = -1 , iFlagDrawSeparator as Long = 1) as any ptr export 
	
	var iButton = gtk_separator_tool_item_new
	
	gtk_toolbar_insert(GTK_TOOLBAR(iHwndToolBar), iButton , iPositionButton)
	
	gtk_widget_show(cast(any ptr,iButton))
	
	if iFlagDrawSeparator = 0 then
		
		gtk_separator_tool_item_set_draw(cast(any ptr,iButton)  , 0)
		
	EndIf
	
	return iButton
	
End Function